<?php
rg_log("FILE: /inc/user/settings");
require_once($INC . '/webhooks.inc.php');

$_settings = '';

if ($rg['login_ui']['uid'] == 0) {
	$_settings .= rg_template('user/login_first.html', $rg, TRUE /*xss*/);
	return;
}

$rg['target_ui'] = $rg['login_ui'];

$errmsg = array();

$_subop = empty($paras) ? "edit_info" : array_shift($paras);

$rg['HTML:menu_set_level2'] = '';

switch ($_subop) {
case 'change_pass':
	include($INC . "/user/pass/pass.php");
	$_settings_body = $_pass;
	break;

case 'keys':
	include($INC . "/user/keys/keys.php");
	$_settings_body = $_keys;
	break;

case 'totp':
	$_settings_body = rg_totp_high_level($db, $rg, $paras);
	break;

case 'wh':
	$_settings_body = rg_wh_high_level($db, $rg, $paras);
	break;

default:
	$rg['ask_for_pass'] = 0;
	$rg['no_tos'] = 1; // we ask for only for account creation
	$_settings_body = rg_user_edit_high_level($db, $rg);
	break;
}

$rg['set_menu'][$_subop] = 1;
$_settings = rg_template("user/settings/menu.html", $rg, TRUE /* xss */);
$_settings .= '<div class="generic_body">' . "\n";
$_settings .= $_settings_body;
$_settings .= '</div>' . "\n";
?>
