<?php
error_reporting(E_ALL | E_STRICT);
ini_set("track_errors", "On");

$INC = dirname(__FILE__) . "/../inc";
require_once(dirname(__FILE__) . "/config.php");
require_once($INC . "/init.inc.php");
require_once($INC . "/util.inc.php");
require_once("helpers.inc.php");

rg_log_set_file("email.log");

$rg_sql = "host=localhost user=rocketgit dbname=rocketgit connect_timeout=10";
$rg_no_db = TRUE;
require_once("common.php");

$_testns = 'email';
$rg_cache_enable = TRUE;

$rg_scripts = "../";
$rg_theme = "default";
$rg_event_socket = "/var/lib/rocketgit/sockets/event.sock";

rg_log_set_file("email.log");

// This will trigger an e-mail
rg_test_create_user($db, $rg_ui);


rg_log('');
rg_log('Trying to get the cache info...');
$key = 'DEBUG::' . $rg_ui['uid'];
$tries = 10;
while ($tries--) {
	$r = rg_cache_get($key);
	if ($r === FALSE) {
		sleep(1);
		continue;
	}

	break;
}
if ($r === FALSE) {
	rg_log('DEBUG key was not set!');
	exit(1);
}
if (!strstr($r['mail']['body'], 'Dear ' . $rg_ui['realname'])) {
	rg_log_ml('body: ' . print_r($r['mail']['body'], TRUE));
	rg_log('realname was specified bu not found in e-mail!');
	exit(1);
}


rg_log('');
rg_log('Testing without specifying a realname');
$rg_ui = array('realname' => '');
rg_test_create_user($db, $rg_ui);


rg_log('');
rg_log('Trying to get the cache info...');
$key = 'DEBUG::' . $rg_ui['uid'];
$tries = 10;
while ($tries--) {
	$r = rg_cache_get($key);
	if ($r === FALSE) {
		sleep(1);
		continue;
	}

	break;
}
if ($r === FALSE) {
	rg_log('DEBUG key was not set!');
	exit(1);
}
if (!strstr($r['mail']['body'], 'Dear ' . $rg_ui['username'])) {
	rg_log_ml('body: ' . print_r($r['mail']['body'], TRUE));
	rg_log('realname was specified bu not found in e-mail!');
	exit(1);
}


rg_log('OK');
?>
